{% extends 'base.html' %}
{% load static %}

{% block hideheader %}{% endblock %}

{% block body %}
<div class="container-fluid">
    {% if messages %}
    {% for message in messages %}
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
            </div>
            {% else %}
            <div class="alert alert-success" role="alert">
                {{message}}
            </div>
            {% endif %}
        </div>
    </div>
    {% endfor %}
    {% endif %}
    <div class="row justify-content-center">
        <div class="col-12 col-md-3">

            <div class="text-right">
                <img id="logo-img" src="{% static 'img/feriavirtual4xt.png' %}" alt="">
            </div>
            <h3>Iniciar sesión</h3>
            <hr>
            <form action="/authenticate/" method="POST">
                {% csrf_token %}
                <div class="form-group">
                    <label for="email">Correo electrónico</label>
                    <input type="email" name="email" id="email" placeholder="example@mail.com" autofocus
                        class="form-control" required>
                    <br>
                    <label for="pass">Contraseña</label>
                    <input type="password" name="password" id="pass" placeholder="Contraseña" class="form-control" required>
                    <br>
                    <div class="row">
                        <div class="col-6">
                            <input type="submit" value="Iniciar Sesión" class="btn btn-success btn-block d-md-none">
                            <input type="submit" value="Iniciar Sesión" class="btn btn-success d-none d-md-inline">
                        </div>
                        <div class="col-6 text-right">
                            <a href="{% url 'passwordreset' %}">Olvidaste tu contraseña?</a>
                            <a href="{% url 'signup' %}">Registrate aquí</a>

                        </div>
                    </div>
                </div>


            </form>

        </div>
    </div>
</div>
{% endblock %}